##### posix::basic_stream_descriptor::basic_stream_descriptor (2 of 6 overloads)

Construct a stream descriptor without opening it.

    template<
        typename ExecutionContext>
    basic_stream_descriptor(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor creates a stream descriptor without opening it. The descriptor needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

context

  An execution context which provides the I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.